"use strict";
var chai_1 = require('chai');
var lib_1 = require('../lib');
describe('pipe', function () {
    describe('#transform', function () {
        it('#transform should delegate the translation to the service', function () {
            var service = new lib_1.TranslateService({ nested: { key: 'value%s' } });
            var pipe = new lib_1.TranslatePipe(service);
            chai_1.expect(pipe.transform('nested.key', [5])).to.eql('value5');
        });
        it('#transform should delegate the translation to the service with empty arguments if there is no', function () {
            var service = new lib_1.TranslateService({ nested: { key: 'value' } });
            var pipe = new lib_1.TranslatePipe(service);
            chai_1.expect(pipe.transform('nested.key')).to.eql('value');
        });
    });
});
//# sourceMappingURL=pipe.spec.js.map